<!-- res/layout/custom_spinner_layout.xml -->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="48dp"
    android:background="@color/color_white"
    android:gravity="center_vertical"
    android:orientation="horizontal">

    <TextView
        android:id="@+id/textViewSelectedItem"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:ellipsize="end"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:singleLine="true"
        android:textColor="@color/color_black"
        android:textSize="16sp" />

    <ImageView
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:contentDescription="@null"
        android:paddingEnd="8dp"
        android:src="@drawable/ic_dropdown" />
</LinearLayout>
